Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
compliance-search
/
match
accounts_aid_search_match_post
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/compliance-search/match \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "merchant": {
    "business_name": "<string>",
    "address": {
      "address_line": "<string>",
      "city": "<string>",
      "postal_code": "<string>",
      "country": "<string>",
      "address_line_2": "<string>"
    },
    "principals": [
      {
        "first_name": "<string>",
        "last_name": "<string>",
        "email": "abc@xxx.com",
        "phone_number": "3165557625",
        "address": {
          "address_line": "<string>",
          "city": "<string>",
          "country": "<string>",
          "address_line_2": "<string>",
          "postal_code": "<string>"
        },
        "date_of_birth": "‘1980-01-01’"
      }
    ],
    "phone_number": "<string>",
    "merchant_category": "1234",
    "trade_name": "<string>",
    "website_url": "<string>"
  },
  "search_criteria": {
    "search_all": "<string>",
    "region": [
      "1",
      "A",
      "D"
    ],
    "country": [
      "NOR",
      "USA",
      "CAN"
    ]
  }
}
'
{
  "starting_after": 123,
  "inquiry_reference_number": "<string>",
  "possible_matches": [
    {
      "total_merchant_matches": 123,
      "terminated_merchants": [
        {
          "merchant": {
            "name": "<string>",
            "doing_business_as_name": "<string>",
            "address": {
              "address_line_one": "<string>",
              "address_line_two": "<string>",
              "city": "<string>",
              "country_subdivision": "<string>",
              "province": "<string>",
              "postal_code": "<string>",
              "country": "<string>"
            },
            "phone_number": "<string>",
            "alt_phone_number": "<string>",
            "national_tax_id": "<string>",
            "country_subdivision_tax_id": "<string>",
            "urls": [
              "<string>"
            ],
            "principals": [
              {
                "first_name": "<string>",
                "middle_initial": "<string>",
                "last_name": "<string>",
                "address": {
                  "address_line_one": "<string>",
                  "address_line_two": "<string>",
                  "city": "<string>",
                  "country_subdivision": "<string>",
                  "province": "<string>",
                  "postal_code": "<string>",
                  "country": "<string>"
                },
                "phone_number": "<string>",
                "email": "<string>",
                "alt_phone_number": "<string>",
                "national_id": "<string>",
                "drivers_license": {
                  "number": "<string>",
                  "country_subdivision": "<string>",
                  "country": "<string>"
                }
              }
            ],
            "added_on_date": "2024-01-17",
            "termination_reason_code": "13",
            "added_by_acquirer_id": "<string>",
            "url_groups": [
              {
                "exact_match_urls": {
                  "urls": [
                    "<string>"
                  ]
                },
                "close_match_urls": {
                  "urls": [
                    "<string>"
                  ]
                },
                "no_match_urls": {
                  "urls": [
                    "<string>"
                  ]
                }
              }
            ],
            "comments": "Added for reasons of fraud"
          },
          "merchant_match": {
            "name": "<string>",
            "doing_business_as_name": "<string>",
            "phone_number": "<string>",
            "address": "<string>",
            "alt_phone_number": "<string>",
            "country_subdivision_tax_id": "<string>",
            "national_tax_id": "<string>",
            "principal_matches": [
              {
                "name": "<string>",
                "address": "<string>",
                "phone_number": "<string>",
                "alt_phone_number": "<string>",
                "national_id": "<string>",
                "drivers_license": "<string>",
                "email": "<string>",
                "date_of_birth": "<string>"
              }
            ]
          }
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Query Parameters

limit
integer
default:20

A limit on the number of objects to be returned. Limit can range between 1 and 100 items, and the default is 20 items.

Required range: 1 <= x <= 100
starting_after
integer

Zero-based offset to start from. A value of 10 will start with the 11th item

Required range: x >= 0

Body

application/json
merchant
object
required
search_criteria
object
required

Response

Possible merchant matches from MATCH

starting_after
integer

cursor for use in pagination. starting_after is the zero-based index to start the next request after. For instance, if you send a request that starts at index 0 and returns 10 items, a subsequent call can include starting_after=10 in order to fetch items starting with item 11.

If there are no more items this field is not returned.

inquiry_reference_number
string

Reference number to look up inquiry result

possible_matches
object[]
Last modified on May 12, 2026